
drop table if exists  edw_desa_swf.f_ps_bonos_sdp_detallada;

drop table if exists  edw_desa_swf.f_ps_bonos_sdp_detallada_reinyect;

create table edw_desa_swf.f_ps_bonos_sdp_detallada
(
ani_cd	string,
tipo_enlace_de	string,
enlace_de	string,
valor_contador_ca	decimal,
fin_promocion_fh	timestamp,
sesiones_usuario_ca	int,
identificador_promocion_nr	smallint,
identificador_tipo_bono_nr	smallint,
costo_renovacion_subperiodo_mo	decimal(19,0),
ultima_renovacion_fh	timestamp,
fin_subperiodo_renovado_fh	timestamp,
unidades_al_renovar_ca	decimal(19,0),
vencimiento_subperiodo_fh	timestamp,
nombre_extractor_tx	string,
fecha_fh int,
acumulador_id	int,
tipo_acumulador_id	int,
sistema_origen_id int,

suscripcion_id int,
suscripcion_cd string,
interurbano_cd string,
urbano_cd string,
linea_cd string,
tipo_oferta_id tinyint,
tipo_oferta_de string,
catalogo_producto_id int,
catalogo_producto_cd string,
catalogo_producto_de string,
geografia_cnc_id int,
geografia_cnc_cd string,
sub_alm_cd string,
alm_cd string,
sub_region_cnc_id tinyint,
sub_region_cnc_de string,
region_cnc_id tinyint,
region_cnc_de string,
flag_prepago_express_id tinyint,
operadora_propietaria_id int,
operadora_propietaria_cd string,
operadora_propietaria_de string,
operadora_receptora_id int,
operadora_receptora_cd string,
operadora_receptora_de string,
operadora_donante_id int,
operadora_donante_cd string,
operadora_donante_de string,
flag_volte_id tinyint,
flag_volte_cd string,
flag_volte_de string,
equipo_tecnologia_id smallint,
equipo_tecnologia_cd string,
equipo_tecnologia_de string,
equipo_utilizado_tecnologia_id smallint,
equipo_utilizado_tecnologia_cd string,
equipo_utilizado_tecnologia_de string,
catalogo_equipo_id int,
catalogo_equipo_cd string,
catalogo_equipo_de string,
estado_suscripcion_id smallint,
estado_suscripcion_cd string,
estado_suscripcion_de string,
fecha_estado_suscripcion_id date,
cliente_id int,
cliente_cd string,
sub_tipo_cliente_id tinyint,
sub_tipo_cliente_cd string,
sub_tipo_cliente_de string,
tipo_cliente_id tinyint,
tipo_cliente_cd string,
tipo_cliente_de string,
ciclo_facturacion_id tinyint,
ciclo_facturacion_cd string,
ciclo_facturacion_de string,
score_economico_id smallint,
score_economico_cd string,
score_economico_de string,
operadora_larga_distancia_id int,
operadora_larga_distancia_cd string,
operadora_larga_distancia_de string
)
partitioned by (fecha int )
CLUSTERED BY (ani_cd) INTO 8 BUCKETS
stored as orc;

create table edw_desa_swf.f_ps_bonos_sdp_detallada_reinyect
(
ani_cd	string,
tipo_enlace_de	string,
enlace_de	string,
valor_contador_ca	decimal,
fin_promocion_fh	timestamp,
sesiones_usuario_ca	int,
identificador_promocion_nr	smallint,
identificador_tipo_bono_nr	smallint,
costo_renovacion_subperiodo_mo	decimal(19,0),
ultima_renovacion_fh	timestamp,
fin_subperiodo_renovado_fh	timestamp,
unidades_al_renovar_ca	decimal(19,0),
vencimiento_subperiodo_fh	timestamp,
nombre_extractor_tx	string,
fecha_fh int,
sistema_origen_id int,
acumulador_id	int,
tipo_acumulador_id	int,

suscripcion_id int,
suscripcion_cd string,
interurbano_cd string,
urbano_cd string,
linea_cd string,
tipo_oferta_id tinyint,
tipo_oferta_de string,
catalogo_producto_id int,
catalogo_producto_cd string,
catalogo_producto_de string,
geografia_cnc_id int,
geografia_cnc_cd string,
sub_alm_cd string,
alm_cd string,
sub_region_cnc_id tinyint,
sub_region_cnc_de string,
region_cnc_id tinyint,
region_cnc_de string,
flag_prepago_express_id tinyint,
operadora_propietaria_id int,
operadora_propietaria_cd string,
operadora_propietaria_de string,
operadora_receptora_id int,
operadora_receptora_cd string,
operadora_receptora_de string,
operadora_donante_id int,
operadora_donante_cd string,
operadora_donante_de string,
flag_volte_id tinyint,
flag_volte_cd string,
flag_volte_de string,
equipo_tecnologia_id smallint,
equipo_tecnologia_cd string,
equipo_tecnologia_de string,
equipo_utilizado_tecnologia_id smallint,
equipo_utilizado_tecnologia_cd string,
equipo_utilizado_tecnologia_de string,
catalogo_equipo_id int,
catalogo_equipo_cd string,
catalogo_equipo_de string,
estado_suscripcion_id smallint,
estado_suscripcion_cd string,
estado_suscripcion_de string,
fecha_estado_suscripcion_id date,
cliente_id int,
cliente_cd string,
sub_tipo_cliente_id tinyint,
sub_tipo_cliente_cd string,
sub_tipo_cliente_de string,
tipo_cliente_id tinyint,
tipo_cliente_cd string,
tipo_cliente_de string,
ciclo_facturacion_id tinyint,
ciclo_facturacion_cd string,
ciclo_facturacion_de string,
score_economico_id smallint,
score_economico_cd string,
score_economico_de string,
operadora_larga_distancia_id int,
operadora_larga_distancia_cd string,
operadora_larga_distancia_de string,
error_cd string,
reinyectable string
)
CLUSTERED BY (ani_cd) INTO 8 BUCKETS
stored as orc;
